LocalizationStatusPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.impl.pb, class: LocalizationStatusPBImpl

Package org.apache.hadoop.yarn.api.records.impl.pb

# Class LocalizationStatusPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.LocalizationStatus
org.apache.hadoop.yarn.api.records.impl.pb.LocalizationStatusPBImpl

@Private @Unstable public class LocalizationStatusPBImpl extends org.apache.hadoop.yarn.api.records.LocalizationStatus
PB Impl of `LocalizationStatus`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalizationStatusPBImpl()`
  `LocalizationStatusPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.LocalizationStatusProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `String`
  `getDiagnostics()`
  `org.apache.hadoop.yarn.api.records.LocalizationState`
  `getLocalizationState()`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.LocalizationStatusProto`
  `getProto()`
  `String`
  `getResourceKey()`
  `int`
  `hashCode()`
  `void`
  `setDiagnostics(String diagnostics)`
  `void`
  `setLocalizationState(org.apache.hadoop.yarn.api.records.LocalizationState localizationState)`
  `void`
  `setResourceKey(String resourceKey)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.LocalizationStatus

  `newInstance, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LocalizationStatusPBImpl

    public LocalizationStatusPBImpl()

  - ### LocalizationStatusPBImpl

    public LocalizationStatusPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.LocalizationStatusProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.LocalizationStatusProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getResourceKey

    public String getResourceKey()
    Specified by:
      `getResourceKey` in class `org.apache.hadoop.yarn.api.records.LocalizationStatus`

  - ### setResourceKey

    public void setResourceKey(String resourceKey)
    Specified by:
      `setResourceKey` in class `org.apache.hadoop.yarn.api.records.LocalizationStatus`

  - ### getLocalizationState

    public org.apache.hadoop.yarn.api.records.LocalizationState getLocalizationState()
    Specified by:
      `getLocalizationState` in class `org.apache.hadoop.yarn.api.records.LocalizationStatus`

  - ### setLocalizationState

    public void setLocalizationState(org.apache.hadoop.yarn.api.records.LocalizationState localizationState)
    Specified by:
      `setLocalizationState` in class `org.apache.hadoop.yarn.api.records.LocalizationStatus`

  - ### getDiagnostics

    public String getDiagnostics()
    Specified by:
      `getDiagnostics` in class `org.apache.hadoop.yarn.api.records.LocalizationStatus`

  - ### setDiagnostics

    public void setDiagnostics(String diagnostics)
    Specified by:
      `setDiagnostics` in class `org.apache.hadoop.yarn.api.records.LocalizationStatus`